Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class SchemaNames

    java.lang.Object
      com.saxonica.schema.SchemaNames

public class SchemaNames
extends java.lang.Object

A class which holds the names for many of the Schema related components.

Field Summary
`static java.lang.String` | `ALL`
`static java.lang.String` | `ANNOTATION`
`static java.lang.String` | `ANY`
`static java.lang.String` | `ANY_ATTRIBUTE`
`static java.lang.String` | `APPINFO`
`static java.lang.String` | `ATTRIBUTE`
`static java.lang.String` | `ATTRIBUTE_GROUP`
`static java.lang.String` | `BASE_ATTR`
`static java.lang.String` | `BLOCK_ATTR`
`static java.lang.String` | `CHOICE`
`static java.lang.String` | `COMPLEX_CONTENT`
`static java.lang.String` | `COMPLEX_TYPE`
`static java.lang.String` | `DOCUMENTATION`
`static java.lang.String` | `ELEMENT`
`static java.lang.String` | `EXTENSION`
`static java.lang.String` | `FIELD`
`static java.lang.String` | `FINAL_ATTR`
`static java.lang.String` | `FIXED_ATTR`
`static java.lang.String` | `FORM`
`static java.lang.String` | `GROUP`
`static java.lang.String` | `ID_ATTR`
`static java.lang.String` | `LAX`
`static java.lang.String` | `LIST`
`static java.lang.String` | `MAX_OCCURS_ATTR`
`static java.lang.String` | `NAME_ATTR`
`static java.lang.String` | `NAMESPACE`
`static java.lang.String` | `NAMESPACE_ANY`
`static java.lang.String` | `NAMESPACE_LOCAL`
`static java.lang.String` | `NAMESPACE_OTHER`
`static java.lang.String` | `NAMESPACE_TARGET`
`static java.lang.String` | `REF_ATTR`
`static java.lang.String` | `RESTRICTION`
`static java.lang.String` | `SCHEMALOCATION_ATTR`
`static java.lang.String` | `SELECTOR`
`static java.lang.String` | `SEQUENCE`
`static java.lang.String` | `SIMPLE_CONTENT`
`static java.lang.String` | `SIMPLE_TYPE`
`static java.lang.String` | `SKIP`
`static java.lang.String` | `STRICT`
`static java.lang.String` | `UNION`

Method Summary
`static boolean` | `isCompositorName(java.lang.String name)` Determines whether or not the given name is the name of a compositor (sequence, choice, all).
`static boolean` | `isGroupName(java.lang.String name)` Determines whether or not the given name is the name of an XML Schema group structure.
`static boolean` | `isProcessName(java.lang.String name)` Determines whether or not the given name is the name of an XML Schema Wildcard processContents attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL

    public static final java.lang.String ALL

See Also:
  Constant Field Values

### ANNOTATION

    public static final java.lang.String ANNOTATION

See Also:
  Constant Field Values

### ANY

    public static final java.lang.String ANY

See Also:
  Constant Field Values

### ANY_ATTRIBUTE

    public static final java.lang.String ANY_ATTRIBUTE

See Also:
  Constant Field Values

### APPINFO

    public static final java.lang.String APPINFO

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final java.lang.String ATTRIBUTE

See Also:
  Constant Field Values

### ATTRIBUTE_GROUP

    public static final java.lang.String ATTRIBUTE_GROUP

See Also:
  Constant Field Values

### CHOICE

    public static final java.lang.String CHOICE

See Also:
  Constant Field Values

### COMPLEX_CONTENT

    public static final java.lang.String COMPLEX_CONTENT

See Also:
  Constant Field Values

### COMPLEX_TYPE

    public static final java.lang.String COMPLEX_TYPE

See Also:
  Constant Field Values

### DOCUMENTATION

    public static final java.lang.String DOCUMENTATION

See Also:
  Constant Field Values

### ELEMENT

    public static final java.lang.String ELEMENT

See Also:
  Constant Field Values

### EXTENSION

    public static final java.lang.String EXTENSION

See Also:
  Constant Field Values

### FIELD

    public static final java.lang.String FIELD

See Also:
  Constant Field Values

### GROUP

    public static final java.lang.String GROUP

See Also:
  Constant Field Values

### LIST

    public static final java.lang.String LIST

See Also:
  Constant Field Values

### RESTRICTION

    public static final java.lang.String RESTRICTION

See Also:
  Constant Field Values

### SELECTOR

    public static final java.lang.String SELECTOR

See Also:
  Constant Field Values

### SEQUENCE

    public static final java.lang.String SEQUENCE

See Also:
  Constant Field Values

### SIMPLE_CONTENT

    public static final java.lang.String SIMPLE_CONTENT

See Also:
  Constant Field Values

### SIMPLE_TYPE

    public static final java.lang.String SIMPLE_TYPE

See Also:
  Constant Field Values

### UNION

    public static final java.lang.String UNION

See Also:
  Constant Field Values

### BASE_ATTR

    public static final java.lang.String BASE_ATTR

See Also:
  Constant Field Values

### BLOCK_ATTR

    public static final java.lang.String BLOCK_ATTR

See Also:
  Constant Field Values

### ID_ATTR

    public static final java.lang.String ID_ATTR

See Also:
  Constant Field Values

### FINAL_ATTR

    public static final java.lang.String FINAL_ATTR

See Also:
  Constant Field Values

### FIXED_ATTR

    public static final java.lang.String FIXED_ATTR

See Also:
  Constant Field Values

### FORM

    public static final java.lang.String FORM

See Also:
  Constant Field Values

### MAX_OCCURS_ATTR

    public static final java.lang.String MAX_OCCURS_ATTR

See Also:
  Constant Field Values

### NAME_ATTR

    public static final java.lang.String NAME_ATTR

See Also:
  Constant Field Values

### NAMESPACE

    public static final java.lang.String NAMESPACE

See Also:
  Constant Field Values

### REF_ATTR

    public static final java.lang.String REF_ATTR

See Also:
  Constant Field Values

### SCHEMALOCATION_ATTR

    public static final java.lang.String SCHEMALOCATION_ATTR

See Also:
  Constant Field Values

### NAMESPACE_ANY

    public static final java.lang.String NAMESPACE_ANY

See Also:
  Constant Field Values

### NAMESPACE_LOCAL

    public static final java.lang.String NAMESPACE_LOCAL

See Also:
  Constant Field Values

### NAMESPACE_OTHER

    public static final java.lang.String NAMESPACE_OTHER

See Also:
  Constant Field Values

### NAMESPACE_TARGET

    public static final java.lang.String NAMESPACE_TARGET

See Also:
  Constant Field Values

### LAX

    public static final java.lang.String LAX

See Also:
  Constant Field Values

### SKIP

    public static final java.lang.String SKIP

See Also:
  Constant Field Values

### STRICT

    public static final java.lang.String STRICT

See Also:
  Constant Field Values

Method Detail

### isGroupName

    public static boolean isGroupName(java.lang.String name)

  Determines whether or not the given name is the name of an XML Schema group structure.

  Parameters:
    `name` - the name to test
  Returns:
    true if the given name is the name of a schema group

### isCompositorName

    public static boolean isCompositorName(java.lang.String name)

  Determines whether or not the given name is the name of a compositor (sequence, choice, all).

  Parameters:
    `name` - the name to test
  Returns:
    true if the given name is the name of a schema group

### isProcessName

    public static boolean isProcessName(java.lang.String name)

  Determines whether or not the given name is the name of an XML Schema Wildcard processContents attribute.

  Parameters:
    `name` - the name to test
  Returns:
    true if the given name is a valid name of a processContents attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD